import gevent
from locust import HttpUser, task, between
from locust.env import Environment
from locust.log import setup_logging
from locust import log
import logging
from locust import events
from locust.runners import STATE_STOPPING, STATE_STOPPED, STATE_CLEANUP, WorkerRunner
import time
from locust.runners import LocalRunner
from locust import HttpUser, between, task, TaskSet
import re
import time
import logging
import requests
import os
from kit.util import dump_response
from src.get_request import  GetRequest
import logging
from src.variables_crapper import read_dom_attribute_with_css_selector, extract_variables, build_form_type, identify_external_variables
from random import randrange
import random
from requests.auth import HTTPBasicAuth
from src.template_functions  import auto_random_int_2, auto_random_int_4, build_webkit_form_boundaries

setup_logging("INFO", None)

ONE_MINUTE = 1000 * 60

{{ fixtures }}

{{ mainFlowClass }}




# setup Environment and Runner
env = Environment(user_classes=user_class_names)
env.create_local_runner()

# start a WebUI instance
env.create_web_ui("127.0.0.1", 8099)

# start a greenlet that periodically outputs the current stats


# start the test
env.runner.start(1, spawn_rate=10)

# in 60 seconds stop the runner
gevent.spawn_later(60, lambda: env.runner.quit())

# wait for the greenlets
env.runner.greenlet.join()

# stop the web server for good measures
env.web_ui.stop()

